# Based on spec file originally generated by gem2rpm
%global gem_name tmuxinator

Name: %{gem_name}
Version: 0.6.11
Release: 6%{?dist}
Summary: Create and manage complex tmux sessions easily
Group: Development/Languages
License: MIT
URL: https://github.com/tmuxinator/tmuxinator
Source0: https://rubygems.org/downloads/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) >= 1.8.23
Requires: rubygem(thor) >= 0.18.0
Requires: rubygem(erubis)
Requires: tmux
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.8.23
BuildRequires: ruby
BuildRequires: rubygem(rspec-core)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-nav)
# BuildRequires: rubygem(factory_girl)
# BuildRequires: rubygem(erubis)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Create and manage complex tmux sessions easily.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

# Install bash completion
install -d -m 0755 %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p -m 644 completion/%{name}.bash %{buildroot}%{_sysconfdir}/bash_completion.d/

# Install fish completion
install -d -m 0755 %{buildroot}%{_datadir}/fish/vendor_completions.d/
install -p -m 644 completion/%{name}.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/
install -p -m 644 completion/mux.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/

# Install zsh completion
install -d -m 0755 %{buildroot}%{_datadir}/zsh/site-functions/
install -p -m 644 completion/%{name}.zsh %{buildroot}%{_datadir}/zsh/site-functions/

# FIXME: Test suite not currently run because it requires rubygem-pry-nav
# which at the time of this writing is not available in Fedora.
#
# Run the test suite
#%check
#pushd .%{gem_instdir}
#rspec
#popd

%files
%dir %{gem_instdir}
%{gem_instdir}
%{_bindir}/mux
%{_bindir}/tmuxinator
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{_sysconfdir}/bash_completion.d/%{name}.bash
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%{_datadir}/fish/vendor_completions.d/mux.fish
%{_datadir}/zsh/site-functions/%{name}.zsh

%files doc
%doc %{gem_docdir}

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 22 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.6.11-2
- Add shell completion for bash, fish, and zsh

* Thu Feb 25 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.6.11-1
- Update to latest upstream - BZ#1306410 (Thanks dridi.boukelmoune@gmail.com
  for the spec patch)

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 08 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.6.8-1
- Update to latest upstream
- Add tests

* Tue Jan 28 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.6.6-2
- Add macros to handle RHEL builds for EPEL

* Thu Nov 21 2013 Adam Miller <maxamillion@fedoraproject.org> - 0.6.6-1
- Initial package for Fedora
